Как установить php7.2 в Ubuntu 19.10

Я недавно обновил до Ubuntu 19.10 от 19,04. Когда я пытался установить некоторый пакет, он попросил, чтобы я удалил много пакетов, автоудаляют. Таким образом, я выполняю команду, и она удалила php7.2-fpm.

Теперь я не могу установить php7.2-fpm.

$ sudo apt-get install php7.2-fpm
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package php7.2-fpm is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Я пытался добавить ondrej PPA. Но тем не менее это не работает.

Помогите.

Мой netbeans также прекратил работать.

ОБНОВЛЕНИЕ

Я теперь могу использовать netbeans путем установки JDK13. Я все еще вынужден использовать PHP7.3. Я не могу использовать PHP7.2. Кто-то попросил, чтобы я показал, что вывод sudo Кв. - получает обновление. Таким образом, я отправляю его здесь:

xxx@Ubuntu-PC:~$ sudo apt-get update
[sudo] password for xxx: 
Hit:1 http://in.archive.ubuntu.com/ubuntu eoan InRelease                       
Hit:2 http://ppa.launchpad.net/ondrej/php/ubuntu eoan InRelease                
Hit:3 http://in.archive.ubuntu.com/ubuntu eoan-updates InRelease               
Hit:4 http://security.ubuntu.com/ubuntu eoan-security InRelease                
Hit:5 http://archive.canonical.com/ubuntu eoan InRelease                       
Hit:6 http://packages.microsoft.com/repos/vscode stable InRelease              
Hit:7 https://deb.opera.com/opera-stable stable InRelease           
Ign:8 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:9 http://dl.google.com/linux/chrome/deb stable Release
Reading package lists... Done
0
задан 29 October 2019 в 08:15

1 ответ

Необходимо использовать заменяющий пакет Python, чтобы смочь зарегистрировать PPA ondrej

sudo apt install software-properties-common

Установка пакета

Затем зарегистрируйте PPA

add-apt-repository ppa:ondrej/php

Теперь можно установить пакеты PHP

sudo apt-get install php7.2 php7.2-fpm php7.2-cli php7.2-xml php7.2-mysql

Проверьте свои доступные версии

update-alternatives --list php 

И переключитесь на него

sudo update-alternatives --set php /usr/bin/php7.2

Все работает теперь

1
ответ дан 22 December 2019 в 00:11

Другие вопросы по тегам:

Похожие вопросы: